/*
	:: Montserrat
*/
@font-face {
	font-family: 'Montserrat';
	font-style: normal;
	font-weight: 100;
	src: url(../assets/fonts/Montserrat/static/Montserrat-Thin.ttf) format('truetype');
}
@font-face {
	font-family: 'Montserrat';
	font-style: normal;
	font-weight: 200;
	src: url(../assets/fonts/Montserrat/static/Montserrat-ExtraLight.ttf) format('truetype');
}
@font-face {
	font-family: 'Montserrat';
	font-style: normal;
	font-weight: 300;
	src: url(../assets/fonts/Montserrat/static/Montserrat-Light.ttf) format('truetype');
}
@font-face {
	font-family: 'Montserrat';
	font-style: normal;
	font-weight: 400;
	src: url(../assets/fonts/Montserrat/static/Montserrat-Regular.ttf) format('truetype');
}
@font-face {
	font-family: 'Montserrat';
	font-style: normal;
	font-weight: 500;
	src: url(../assets/fonts/Montserrat/static/Montserrat-Medium.ttf) format('truetype');
}
@font-face {
	font-family: 'Montserrat';
	font-style: normal;
	font-weight: 600;
	src: url(../assets/fonts/Montserrat/static/Montserrat-SemiBold.ttf) format('truetype');
}
@font-face {
	font-family: 'Montserrat';
	font-style: normal;
	font-weight: 700;
	src: url(../assets/fonts/Montserrat/static/Montserrat-Bold.ttf) format('truetype');
}
@font-face {
	font-family: 'Montserrat';
	font-style: normal;
	font-weight: 800;
	src: url(../assets/fonts/Montserrat/static/Montserrat-ExtraBold.ttf) format('truetype');
}
@font-face {
	font-family: 'Montserrat';
	font-style: normal;
	font-weight: 900;
	src: url(../assets/fonts/Montserrat/static/Montserrat-Black.ttf) format('truetype');
}

/*
	:: Dancing_Script
*/
@font-face {
	font-family: 'Dancing Script';
	font-style: normal;
	font-weight: 400;
	src: url(../assets/fonts/Dancing_Script/static/DancingScript-Regular.ttf) format('truetype');
}
@font-face {
	font-family: 'Dancing Script';
	font-style: normal;
	font-weight: 500;
	src: url(../assets/fonts/Dancing_Script/static/DancingScript-Medium.ttf) format('truetype');
}
@font-face {
	font-family: 'Dancing Script';
	font-style: normal;
	font-weight: 600;
	src: url(../assets/fonts/Dancing_Script/static/DancingScript-SemiBold.ttf) format('truetype');
}
@font-face {
	font-family: 'Dancing Script';
	font-style: normal;
	font-weight: 700;
	src: url(../assets/fonts/Dancing_Script/static/DancingScript-Bold.ttf) format('truetype');
}

/*
	:: Noto_Serif
*/
@font-face {
	font-family: 'Noto Serif';
	font-style: normal;
	font-weight: 100;
	src: url(../assets/fonts/Noto_Serif/static/NotoSerif-Thin.ttf) format('truetype');
}
@font-face {
	font-family: 'Noto Serif';
	font-style: normal;
	font-weight: 200;
	src: url(../assets/fonts/Noto_Serif/static/NotoSerif-ExtraLight.ttf) format('truetype');
}
@font-face {
	font-family: 'Noto Serif';
	font-style: normal;
	font-weight: 300;
	src: url(../assets/fonts/Noto_Serif/static/NotoSerif-Light.ttf) format('truetype');
}
@font-face {
	font-family: 'Noto Serif';
	font-style: normal;
	font-weight: 400;
	src: url(../assets/fonts/Noto_Serif/static/NotoSerif-Regular.ttf) format('truetype');
}
@font-face {
	font-family: 'Noto Serif';
	font-style: normal;
	font-weight: 500;
	src: url(../assets/fonts/Noto_Serif/static/NotoSerif-Medium.ttf) format('truetype');
}
@font-face {
	font-family: 'Noto Serif';
	font-style: normal;
	font-weight: 600;
	src: url(../assets/fonts/Noto_Serif/static/NotoSerif-SemiBold.ttf) format('truetype');
}
@font-face {
	font-family: 'Noto Serif';
	font-style: normal;
	font-weight: 700;
	src: url(../assets/fonts/Noto_Serif/static/NotoSerif-Bold.ttf) format('truetype');
}
@font-face {
	font-family: 'Noto Serif';
	font-style: normal;
	font-weight: 800;
	src: url(../assets/fonts/Noto_Serif/static/NotoSerif-ExtraBold.ttf) format('truetype');
}
@font-face {
	font-family: 'Noto Serif';
	font-style: normal;
	font-weight: 900;
	src: url(../assets/fonts/Noto_Serif/static/NotoSerif-Black.ttf) format('truetype');
}

/*
	:: Roboto_Slab
*/
@font-face {
	font-family: 'Roboto Slab';
	font-style: normal;
	font-weight: 100;
	src: url(../assets/fonts/Roboto_Slab/static/RobotoSlab-Thin.ttf) format('truetype');
}
@font-face {
	font-family: 'Roboto Slab';
	font-style: normal;
	font-weight: 200;
	src: url(../assets/fonts/Roboto_Slab/static/RobotoSlab-ExtraLight.ttf) format('truetype');
}
@font-face {
	font-family: 'Roboto Slab';
	font-style: normal;
	font-weight: 300;
	src: url(../assets/fonts/Roboto_Slab/static/RobotoSlab-Light.ttf) format('truetype');
}
@font-face {
	font-family: 'Roboto Slab';
	font-style: normal;
	font-weight: 400;
	src: url(../assets/fonts/Roboto_Slab/static/RobotoSlab-Regular.ttf) format('truetype');
}
@font-face {
	font-family: 'Roboto Slab';
	font-style: normal;
	font-weight: 500;
	src: url(../assets/fonts/Roboto_Slab/static/RobotoSlab-Medium.ttf) format('truetype');
}
@font-face {
	font-family: 'Roboto Slab';
	font-style: normal;
	font-weight: 600;
	src: url(../assets/fonts/Roboto_Slab/static/RobotoSlab-SemiBold.ttf) format('truetype');
}
@font-face {
	font-family: 'Roboto Slab';
	font-style: normal;
	font-weight: 700;
	src: url(../assets/fonts/Roboto_Slab/static/RobotoSlab-Bold.ttf) format('truetype');
}
@font-face {
	font-family: 'Roboto Slab';
	font-style: normal;
	font-weight: 800;
	src: url(../assets/fonts/Roboto_Slab/static/RobotoSlab-ExtraBold.ttf) format('truetype');
}
@font-face {
	font-family: 'Roboto Slab';
	font-style: normal;
	font-weight: 900;
	src: url(../assets/fonts/Roboto_Slab/static/RobotoSlab-Black.ttf) format('truetype');
}

/*
	:: Kaushahn_Script
*/
@font-face {
	font-family: 'Kaushan Script';
	font-style: normal;
	font-weight: 400;
	src: url(../assets/fonts/Kaushan_Script/KaushanScript-Regular.ttf) format('truetype');
}



.sortableContainer {
	position: relative;
	cursor: move;
	user-select: none;
}
.sortableContainer .sortable {
	padding: 10px;
	cursor: move;
}
.sortableContainer .sortable .placeholder {
	margin: 5px 0;
	border: 2px dashed #888;
}
.sortableContainer .sortable.drag-over {
	/*transform: scale(0.95);*/
	opacity: 0.85;
	box-shadow: inset 0px 0px 1px #333;
}

.table.articles .buttonsBx {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-evenly;
	flex-direction: column;
	gap: 5px;
}

.requiredMarker {
	color: rgb(var(--hc));
	padding-left: 0.25em;
}

.tox-tinymce {
	border-width: 1px !important;
}
.tinymce-invalid {
	border-width: 1px !important;
	border-color: #dc3545 !important;
}
.tinymce-invalid:focus-within {
	box-shadow: 0 0 0 0.2rem rgba(220, 53, 69, 0.25);
}

.main-carousel {
	height: 100vh;
}

.loginContainer {
	position: absolute;
	left: 0px;
	top: 0px;
	width: 100vw;
	height: 100vh;
	display: flex;
	align-items: center;
	flex-direction: row;
	justify-content: center;
	flex-wrap: nowrap;
	min-height: 200px;
}
.loginContainer .inner {
	width: 100%;
	max-width: 550px;
	height: fit-content;
	display: flex;
	align-items: stretch;
	flex-direction: column;
	justify-content: center;
	flex-wrap: nowrap;
}

.x-scroll {
	overflow-x: scroll;
}

.table.articles {
	min-width: 655px;
}

.onlyOnDesktop {
	display: none;
}
@media (min-width: 1024px) {
	.onlyOnDesktop {
		display: inherit;
	}
}
